%THIS PROGRAM SEARCH FOR THE DETERMINACY REGION 
%IN ROTEMBERG MODEL WITH INVESTMENT AND FORWARD-CURRENT-LOOKING RULES
%STAGGERED PRICE W/WN CAPITAL ADJUSTMENT COST
%MATRIX IS 5X5 WITH 3 JUMP VARIABLES AND 2 PREDETERMINED VARIABLE

%THIS PROGRAM USES THE FOLLOWING SUBPROGRAM:
%smrotepsilon.m

%Modified by Kevin X.D. Huang on 12/12/12
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
clear all
close all
global alpha rho sigma delta
global deltatilde eta epsilonq thetap gamma
global Ty Tpi
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
alpha=0.33;%share of capital in production
%thetap=0.33;%frequency of price adjustment varies from 0.33 to 0.57 to 0.75%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
rho=0.99;%quarterly discount rate
sigma=2;%relative risk aversion in consumption
%eta=0;%relative risk aversion in labor is 0 or 10%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
delta=0.02;%steady state capital depreciation rate
deltatilde=1-rho*(1-delta);
eta=1;%inverse of labor supply elasticity
epsilonq=0;%elasticity of capital adjustment cost
thetap=0.57;%degree of stickiness of Calvo
gamma=30.424;%degree of stickiness of Rotemberg
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGG
%lambdacalvo=(1-thetap)*(1-beta*thetap)/thetap/(1+epsilon*(1-theta)/theta);
%lamadarot=(epsilon-1)/gamma;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGG
%epsilonq=3;%elasticity of the investment to capital ratio to Tobin's q is 0 or 3%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%gammac=(deltatilde-1)*sigma-epsilonq*rho*ck;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGG
%gamman=deltatilde*(eta+1)+epsilonq*rho*(1-alpha)*theta*ck;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGG
%gammak=-deltatilde+epsilonq*rho*(alpha*theta*(delta+ck)-delta)-epsilonq;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGG
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Ty=21;
Tpi=503;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%theta=0.67, phi=0.1, epsilon=4,10,20
theta=0.67;
phi=0.1;
epsilon=4;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L111,U111]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=10;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L112,U112]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=20;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L113,U113]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%theta=1, phi=0.1, epsilon=4,10,20
theta=1;
phi=0.1;
epsilon=4;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L121,U121]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=10;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L122,U122]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=20;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L123,U123]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%theta=1.05, phi=0.1, epsilon=4,10,20
theta=1.05;
phi=0.1;
epsilon=4;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L131,U131]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=10;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L132,U132]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=20;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L133,U133]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%theta=0.67, phi=0.3, epsilon=4,10,20
theta=0.67;
phi=0.3;
epsilon=4;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L211,U211]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=10;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L212,U212]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=20;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L213,U213]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%theta=1, phi=0.3, epsilon=4,10,20
theta=1;
phi=0.3;
epsilon=4;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L221,U221]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=10;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L222,U222]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=20;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L223,U223]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%theta=1.05, phi=0.3, epsilon=4,10,20
theta=1.05;
phi=0.3;
epsilon=4;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L231,U231]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=10;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L232,U232]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=20;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L233,U233]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%theta=0.67, phi=0.5, epsilon=4,10,20
theta=0.67;
phi=0.5;
epsilon=4;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L311,U311]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=10;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L312,U312]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=20;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L313,U313]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%theta=1, phi=0.5, epsilon=4,10,20
theta=1;
phi=0.5;
epsilon=4;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L321,U321]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=10;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L322,U322]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=20;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L323,U323]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%theta=1.05, phi=0.5, epsilon=4,10,20
theta=1.05;
phi=0.5;
epsilon=4;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L331,U331]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=10;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L332,U332]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=20;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L333,U333]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%theta=0.67, phi=0.7, epsilon=4,10,20
theta=0.67;
phi=0.7;
epsilon=4;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L411,U411]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=10;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L412,U412]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=20;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L413,U413]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%theta=1, phi=0.7, epsilon=4,10,20
theta=1;
phi=0.7;
epsilon=4;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L421,U421]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=10;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L422,U422]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=20;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L423,U423]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%theta=1.05, phi=0.7, epsilon=4,10,20
theta=1.05;
phi=0.7;
epsilon=4;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L431,U431]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=10;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L432,U432]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=20;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L433,U433]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%theta=0.67, phi=0.9, epsilon=4,10,20
theta=0.67;
phi=0.9;
epsilon=4;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L511,U511]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=10;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L512,U512]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=20;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L513,U513]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%theta=1, phi=0.9, epsilon=4,10,20
theta=1;
phi=0.9;
epsilon=4;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L521,U521]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=10;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L522,U522]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=20;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L523,U523]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%theta=1.05, phi=0.9, epsilon=4,10,20
theta=1.05;
phi=0.9;
epsilon=4;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L531,U531]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=10;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L532,U532]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
epsilon=20;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%TAGGGGGGGGGGGGGGGGGGGGGGGGG
[L533,U533]=smrotepsilon(theta,phi,epsilon);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
ty=1:Ty;
omega=0.05*(ty-1);
subplot(5,3,1);
hold on
plot(omega,U111(ty),'-*',omega,U112(ty),'-o',omega,U113(ty),'-^',omega,L111(ty),'-^',omega,L112(ty),'-o',omega,L113(ty),'-*');
ylabel('\phi=0.1');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);
title('\theta=0.67');

subplot(5,3,2);
hold on
plot(omega,U121(ty),'-*',omega,U122(ty),'-o',omega,U123(ty),'-^',omega,L121(ty),'-^',omega,L122(ty),'-o',omega,L123(ty),'-*');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);
title('\theta=1');

subplot(5,3,3);
hold on
plot(omega,U131(ty),'-*',omega,U132(ty),'-o',omega,U133(ty),'-^',omega,L131(ty),'-^',omega,L132(ty),'-o',omega,L133(ty),'-*');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);
title('\theta=1.05');

subplot(5,3,4);
hold on
plot(omega,U211(ty),'-*',omega,U212(ty),'-o',omega,U213(ty),'-^',omega,L211(ty),'-^',omega,L212(ty),'-o',omega,L213(ty),'-*');
ylabel('\phi=0.3');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,5);
hold on
plot(omega,U221(ty),'-*',omega,U222(ty),'-o',omega,U223(ty),'-^',omega,L221(ty),'-^',omega,L222(ty),'-o',omega,L223(ty),'-*');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,6);
hold on
plot(omega,U231(ty),'-*',omega,U232(ty),'-o',omega,U233(ty),'-^',omega,L231(ty),'-^',omega,L232(ty),'-o',omega,L233(ty),'-*');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,7);
hold on
plot(omega,U311(ty),'-*',omega,U312(ty),'-o',omega,U313(ty),'-^',omega,L311(ty),'-^',omega,L312(ty),'-o',omega,L313(ty),'-*');
ylabel('\phi=0.5');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,8);
hold on
plot(omega,U321(ty),'-*',omega,U322(ty),'-o',omega,U323(ty),'-^',omega,L321(ty),'-^',omega,L322(ty),'-o',omega,L323(ty),'-*');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,9);
hold on
plot(omega,U331(ty),'-*',omega,U332(ty),'-o',omega,U333(ty),'-^',omega,L331(ty),'-^',omega,L332(ty),'-o',omega,L333(ty),'-*');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,10);
hold on
plot(omega,U411(ty),'-*',omega,U412(ty),'-o',omega,U413(ty),'-^',omega,L411(ty),'-^',omega,L412(ty),'-o',omega,L413(ty),'-*');
ylabel('\phi=0.7');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,11);
hold on
plot(omega,U421(ty),'-*',omega,U422(ty),'-o',omega,U423(ty),'-^',omega,L421(ty),'-^',omega,L422(ty),'-o',omega,L423(ty),'-*');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,12);
hold on
plot(omega,U431(ty),'-*',omega,U432(ty),'-o',omega,U433(ty),'-^',omega,L431(ty),'-^',omega,L432(ty),'-o',omega,L433(ty),'-*');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,13);
hold on
plot(omega,U511(ty),'-*',omega,U512(ty),'-o',omega,U513(ty),'-^',omega,L511(ty),'-^',omega,L512(ty),'-o',omega,L513(ty),'-*');
ylabel('\phi=0.9');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,14);
hold on
plot(omega,U521(ty),'-*',omega,U522(ty),'-o',omega,U523(ty),'-^',omega,L521(ty),'-^',omega,L522(ty),'-o',omega,L523(ty),'-*');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);

subplot(5,3,15);
hold on
plot(omega,U531(ty),'-*',omega,U532(ty),'-o',omega,U533(ty),'-^',omega,L531(ty),'-^',omega,L532(ty),'-o',omega,L533(ty),'-*');
axis([0,1,0,5]);
box on
set(gca,'xtick',[0,0.2,0.4,0.6,0.8,1]);
set(gca,'ytick',[0,1,2,3,4,5]);
   
   
   
