%Modified by Kevin X.D. Huang on 12/12/12

function [L,U]=smrotepsilon(theta,phi,epsilon)
global alpha rho sigma delta
global deltatilde eta epsilonq gamma
global Ty Tpi
A=zeros(5,5);
B=zeros(5,5);
for ty=1:Ty;
ck=epsilon*deltatilde/(epsilon-1)/alpha/theta/rho-delta;
lamadarot=(epsilon-1)/gamma;
gammac=(deltatilde-1)*sigma-epsilonq*rho*ck;
gamman=deltatilde*(eta+1)+epsilonq*rho*(1-alpha)*theta*(delta+ck);
gammak=-deltatilde+epsilonq*rho*(alpha*theta*(delta+ck)-delta)-epsilonq;
tauy=(ty-1)*0.05;
L(ty)=1;
U(ty)=1;
       for tpi=1:Tpi;
           taupi=(tpi-1)*0.01;
           minhelp=10000;
           maxhelp=0; 
             A(1,1)=gammac;
             A(1,2)=gammak;
             A(1,3)=gamman;
             B(1,1)=-sigma;
             B(1,2)=-epsilonq;
             A(2,2)=1;
             B(2,1)=-ck;
             B(2,2)=alpha*theta*(delta+ck)+1-delta;
             B(2,3)=(1-alpha)*theta*(delta+ck);
             A(3,4)=rho;
             B(3,1)=-lamadarot*sigma;
             B(3,2)=alpha*theta*lamadarot;
             B(3,3)=-lamadarot*(1+eta-(1-alpha)*theta);
             B(3,4)=1;
             A(4,1)=sigma;
             A(4,4)=1;
             A(4,5)=-1;
             B(4,1)=sigma;
             B(5,2)=alpha*theta*tauy;
             B(5,3)=(1-alpha)*theta*tauy;
             A(5,4)=-taupi;
             A(5,5)=1;
             B(5,5)=phi;             
             M=inv(A)*B;
             [P,MU]=eig(M);
             E=sort(abs(diag(MU)));
                 if sum(E<1)==2 & sum(E>1)==3;
                    minhelp=taupi;
                    maxhelp=taupi;
                 else
                    minhelp=10001;
                    maxhelp=-1;
                 end;
                 if minhelp<=L(ty);
                    L(ty)=minhelp;
                 end;
                 if maxhelp>=U(ty);
                    U(ty)=maxhelp;
                 end;
       end;
end;
end

